
#include "graphical_defs.h"

// static char police9x15[9]= "9x15bold";
// static int lgpolice9x15 = 10; // size(police9x15)+1
static Pixel GET_XCOLOR(Widget w, char * vcolor)
{
  char *color_name;
  XColor xcolor, unused;
  Colormap cmap = DefaultColormapOfScreen(XtScreen(w));

  if (XAllocNamedColor(XtDisplay(w), cmap, vcolor, &xcolor, &unused))
    return xcolor.pixel;
  return 0;
}

static Pixel redColor, whiteColor, yellowColor, blueColor, blackColor, greenColor;

static void colors_init(Widget w)
{
  redColor= GET_XCOLOR(w, "red");
  whiteColor=  GET_XCOLOR(w,"white");
  yellowColor = GET_XCOLOR(w,"yellow");
  blueColor=  GET_XCOLOR(w,"Blue");
  greenColor = GET_XCOLOR(w,"green");
  blackColor = GET_XCOLOR(w,"black");
}

static Widget make_label(char *nom, Widget pere, int height, int width, int bordWidth)

{
  return XtVaCreateManagedWidget(nom, xmLabelWidgetClass, pere,
				 XmNlabelString, XmStringCreateLtoR(nom, XmSTRING_DEFAULT_CHARSET), 
				 XmNwidth, width, 
				 XmNheight, height,
				 XmNborderWidth, bordWidth,
				 NULL);
}

static Widget make_label1(char *nom, Widget pere, int h)
{
  return make_label(nom, pere, h, LABEL_WIDTH,0);
}

static Widget make_button(char *nom, Widget pere, int height, int width, int bordWidth)
{
  return(XtVaCreateManagedWidget(nom, xmPushButtonWidgetClass, pere, 
				 XmNwidth, width,
				 XmNheight, height,
				 XmNborderWidth, bordWidth, 
				 XmNlabelString, XmStringCreateLtoR(nom, XmSTRING_DEFAULT_CHARSET), 
				 NULL));
}

#include "devices.c"
#include "pacemaker.c"


/*------------------------------------------------------------------------------
  Creating the main window.
  ------------------------------------------------------------------------------*/
static void mk_main_window(Widget toplevel)
{
  Widget p, cadre_widg, frame_widg, pace_maker_widg;

  cadre_widg = XtVaCreateManagedWidget("cadre", xmMainWindowWidgetClass, toplevel, NULL);
  frame_widg = XtVaCreateManagedWidget("frame", xmFormWidgetClass, cadre_widg, 
				       XmNwidth, PANEL_WIDTH+ (2*BORDERWIDTH), 
				       XmNheight, PANEL_HEIGHT + pmHEIGHT_panel,
				       XmNleftAttachment, XmATTACH_FORM,
				       XmNrightAttachment, XmATTACH_FORM,
				       XmNtopAttachment, XmATTACH_FORM,
				       XmNbottomAttachment, XmATTACH_FORM,
				       NULL);
  p = XtVaCreateManagedWidget("panelBOX", xmFormWidgetClass, frame_widg,
			      XmNborderWidth, 0,
			      XmNtopAttachment, XmATTACH_FORM, XmNleftAttachment, 
			      XmATTACH_FORM, XmNrightAttachment, XmATTACH_FORM, 
			      NULL);
  make_devices_panel(p);

  pace_maker_widg = XtVaCreateManagedWidget("pace_maker", xmFormWidgetClass, frame_widg,
					    XmNborderWidth, 3, 
					    XmNleftAttachment, XmATTACH_FORM, 
					    XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, p, 
					    NULL);
  make_pace_maker(pace_maker_widg);
}

#include "curves.c"

static void mk_curves2_window(Widget toplevel)
{
  Widget canvas1, canvas2, canvas3, canvas4;

  mk_curves(toplevel, &canvas1, &canvas2, &canvas3, &canvas4);
  canvas_creat_bis(canvas1);
  echelley_creat_bis(canvas2);
  canvas_creat2_bis(canvas3);
  echelley_creat2_bis(canvas4);
}

static void mk_curves1_window(Widget toplevel)
{
  Widget canvas1, canvas2, canvas3, canvas4;

  mk_curves(toplevel, &canvas1, &canvas2, &canvas3, &canvas4);
  canvas_creat(canvas1);
  echelley_creat(canvas2);
  canvas_creat2(canvas3);
  echelley_creat2(canvas4);
}
